return {
  commands = {
    ["\\NoCaseChange"] = {
      inline_type = "NoCase",
      num_args = 1,
    },
    ["\\bf"] = {
      formatting_key = "font-weight",
      formatting_value = "bold",
      inline_type = "Formatted",
      num_args = 0,
    },
    ["\\bfseries"] = {
      formatting_key = "font-weight",
      formatting_value = "bold",
      inline_type = "Formatted",
      num_args = 0,
    },
    ["\\em"] = {
      formatting_key = "font-style",
      formatting_value = "italic",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\emph"] = {
      formatting_key = "font-style",
      formatting_value = "italic",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\enquote"] = {
      inline_type = "Quoted",
      num_args = 1,
    },
    ["\\it"] = {
      formatting_key = "font-style",
      formatting_value = "italic",
      inline_type = "Formatted",
      num_args = 0,
    },
    ["\\itshape"] = {
      formatting_key = "font-style",
      formatting_value = "italic",
      inline_type = "Formatted",
      num_args = 0,
    },
    ["\\mkbibbold"] = {
      formatting_key = "font-weight",
      formatting_value = "bold",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\mkbibemph"] = {
      formatting_key = "font-style",
      formatting_value = "italic",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\mkbibitalic"] = {
      formatting_key = "font-style",
      formatting_value = "italic",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\mkbibquote"] = {
      inline_type = "Quoted",
      num_args = 1,
    },
    ["\\noopsort"] = {
      action = "gobble",
      num_args = 1,
    },
    ["\\sl"] = {
      formatting_key = "font-style",
      formatting_value = "oblique",
      inline_type = "Formatted",
      num_args = 0,
    },
    ["\\slshape"] = {
      formatting_key = "font-style",
      formatting_value = "oblique",
      inline_type = "Formatted",
      num_args = 0,
    },
    ["\\sout"] = {
      action = "gobble",
      num_args = 1,
    },
    ["\\st"] = {
      action = "gobble",
      num_args = 1,
    },
    ["\\textbf"] = {
      formatting_key = "font-weight",
      formatting_value = "bold",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\textit"] = {
      formatting_key = "font-style",
      formatting_value = "italic",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\textsc"] = {
      formatting_key = "font-variant",
      formatting_value = "small-caps",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\textsl"] = {
      formatting_key = "font-style",
      formatting_value = "oblique",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\textsubscript"] = {
      formatting_key = "vertical-align",
      formatting_value = "sub",
      inline_type = "Formatted",
      num_args = 1,
    },
    ["\\textsuperscript"] = {
      formatting_key = "vertical-align",
      formatting_value = "sup",
      inline_type = "Formatted",
      num_args = 1,
    },
  },
  unicode = {
    ["0020"] = "\\space",
    ["0023"] = "\\#",
    ["0024"] = "\\$",
    ["0025"] = "\\%",
    ["0026"] = "\\&",
    ["005B"] = "\\lbrack",
    ["005C"] = "\\textbackslash",
    ["005D"] = "\\rbrack",
    ["005F"] = "\\_",
    ["007B"] = "\\{",
    ["007D"] = "\\}",
    ["00A0"] = "\\nobreakspace",
    ["00A1"] = "\\textexclamdown",
    ["00A2"] = "\\textcent",
    ["00A3"] = "\\textsterling",
    ["00A4"] = "\\textcurrency",
    ["00A5"] = "\\textyen",
    ["00A6"] = "\\textbrokenbar",
    ["00A7"] = "\\textsection",
    ["00A8"] = "\\textasciidieresis",
    ["00A9"] = "\\textcopyright",
    ["00AA"] = "\\textordfeminine",
    ["00AB"] = "\\guillemetleft",
    ["00AC"] = "\\textlnot",
    ["00AD"] = "\\-",
    ["00AE"] = "\\textregistered",
    ["00AF"] = "\\textasciimacron",
    ["00B0"] = "\\textdegree",
    ["00B1"] = "\\textpm",
    ["00B2"] = "\\texttwosuperior",
    ["00B3"] = "\\textthreesuperior",
    ["00B4"] = "\\textasciiacute",
    ["00B5"] = "\\textmu",
    ["00B6"] = "\\textparagraph",
    ["00B7"] = "\\textperiodcentered",
    ["00B8"] = "\\c\\ ",
    ["00B9"] = "\\textonesuperior",
    ["00BA"] = "\\textordmasculine",
    ["00BB"] = "\\guillemetright",
    ["00BC"] = "\\textonequarter",
    ["00BD"] = "\\textonehalf",
    ["00BE"] = "\\textthreequarters",
    ["00BF"] = "\\textquestiondown",
    ["00C0"] = "\\`A",
    ["00C1"] = "\\'A",
    ["00C2"] = "\\^A",
    ["00C3"] = "\\~A",
    ["00C4"] = '\\"A',
    ["00C5"] = "\\r A",
    ["00C6"] = "\\AE",
    ["00C7"] = "\\c C",
    ["00C8"] = "\\`E",
    ["00C9"] = "\\'E",
    ["00CA"] = "\\^E",
    ["00CB"] = '\\"E',
    ["00CC"] = "\\`I",
    ["00CD"] = "\\'I",
    ["00CE"] = "\\^I",
    ["00CF"] = '\\"I',
    ["00D0"] = "\\DH",
    ["00D1"] = "\\~N",
    ["00D2"] = "\\`O",
    ["00D3"] = "\\'O",
    ["00D4"] = "\\^O",
    ["00D5"] = "\\~O",
    ["00D6"] = '\\"O',
    ["00D7"] = "\\texttimes",
    ["00D8"] = "\\O",
    ["00D9"] = "\\`U",
    ["00DA"] = "\\'U",
    ["00DB"] = "\\^U",
    ["00DC"] = '\\"U',
    ["00DD"] = "\\'Y",
    ["00DE"] = "\\TH",
    ["00DF"] = "\\ss",
    ["00E0"] = "\\`a",
    ["00E1"] = "\\'a",
    ["00E2"] = "\\^a",
    ["00E3"] = "\\~a",
    ["00E4"] = '\\"a',
    ["00E5"] = "\\r a",
    ["00E6"] = "\\ae",
    ["00E7"] = "\\c c",
    ["00E8"] = "\\`e",
    ["00E9"] = "\\'e",
    ["00EA"] = "\\^e",
    ["00EB"] = '\\"e',
    ["00EC"] = "\\`\\i",
    ["00ED"] = "\\'\\i",
    ["00EE"] = "\\^\\i",
    ["00EF"] = '\\"\\i',
    ["00F0"] = "\\dh",
    ["00F1"] = "\\~n",
    ["00F2"] = "\\`o",
    ["00F3"] = "\\'o",
    ["00F4"] = "\\^o",
    ["00F5"] = "\\~o",
    ["00F6"] = '\\"o',
    ["00F7"] = "\\textdiv",
    ["00F8"] = "\\o",
    ["00F9"] = "\\`u",
    ["00FA"] = "\\'u",
    ["00FB"] = "\\^u",
    ["00FC"] = '\\"u',
    ["00FD"] = "\\'y",
    ["00FE"] = "\\th",
    ["00FF"] = '\\"y',
    ["0100"] = "\\=A",
    ["0101"] = "\\=a",
    ["0102"] = "\\u A",
    ["0103"] = "\\u a",
    ["0104"] = "\\k A",
    ["0105"] = "\\k a",
    ["0106"] = "\\'C",
    ["0107"] = "\\'c",
    ["0108"] = "\\^C",
    ["0109"] = "\\^c",
    ["010A"] = "\\.C",
    ["010B"] = "\\.c",
    ["010C"] = "\\v C",
    ["010D"] = "\\v c",
    ["010E"] = "\\v D",
    ["010F"] = "\\v d",
    ["0110"] = "\\DJ",
    ["0111"] = "\\dj",
    ["0112"] = "\\=E",
    ["0113"] = "\\=e",
    ["0114"] = "\\u E",
    ["0115"] = "\\u e",
    ["0116"] = "\\.E",
    ["0117"] = "\\.e",
    ["0118"] = "\\k E",
    ["0119"] = "\\k e",
    ["011A"] = "\\v E",
    ["011B"] = "\\v e",
    ["011C"] = "\\^G",
    ["011D"] = "\\^g",
    ["011E"] = "\\u G",
    ["011F"] = "\\u g",
    ["0120"] = "\\.G",
    ["0121"] = "\\.g",
    ["0122"] = "\\c G",
    ["0123"] = "\\c g",
    ["0124"] = "\\^H",
    ["0125"] = "\\^h",
    ["0128"] = "\\~I",
    ["0129"] = "\\~\\i",
    ["012A"] = "\\=I",
    ["012B"] = "\\=\\i",
    ["012C"] = "\\u I",
    ["012D"] = "\\u\\i",
    ["012E"] = "\\k I",
    ["012F"] = "\\k i",
    ["0130"] = "\\.I",
    ["0131"] = "\\i",
    ["0132"] = "\\IJ",
    ["0133"] = "\\ij",
    ["0134"] = "\\^J",
    ["0135"] = "\\^\\j",
    ["0136"] = "\\c K",
    ["0137"] = "\\c k",
    ["0139"] = "\\'L",
    ["013A"] = "\\'l",
    ["013B"] = "\\c L",
    ["013C"] = "\\c l",
    ["013D"] = "\\v L",
    ["013E"] = "\\v l",
    ["0141"] = "\\L",
    ["0142"] = "\\l",
    ["0143"] = "\\'N",
    ["0144"] = "\\'n",
    ["0145"] = "\\c N",
    ["0146"] = "\\c n",
    ["0147"] = "\\v N",
    ["0148"] = "\\v n",
    ["014A"] = "\\NG",
    ["014B"] = "\\ng",
    ["014C"] = "\\=O",
    ["014D"] = "\\=o",
    ["014E"] = "\\u O",
    ["014F"] = "\\u o",
    ["0150"] = "\\H O",
    ["0151"] = "\\H o",
    ["0152"] = "\\OE",
    ["0153"] = "\\oe",
    ["0154"] = "\\'R",
    ["0155"] = "\\'r",
    ["0156"] = "\\c R",
    ["0157"] = "\\c r",
    ["0158"] = "\\v R",
    ["0159"] = "\\v r",
    ["015A"] = "\\'S",
    ["015B"] = "\\'s",
    ["015C"] = "\\^S",
    ["015D"] = "\\^s",
    ["015E"] = "\\c S",
    ["015F"] = "\\c s",
    ["0160"] = "\\v S",
    ["0161"] = "\\v s",
    ["0162"] = "\\c T",
    ["0163"] = "\\c t",
    ["0164"] = "\\v T",
    ["0165"] = "\\v t",
    ["0168"] = "\\~U",
    ["0169"] = "\\~u",
    ["016A"] = "\\=U",
    ["016B"] = "\\=u",
    ["016C"] = "\\u U",
    ["016D"] = "\\u u",
    ["016E"] = "\\r U",
    ["016F"] = "\\r u",
    ["0170"] = "\\H U",
    ["0171"] = "\\H u",
    ["0172"] = "\\k U",
    ["0173"] = "\\k u",
    ["0174"] = "\\^W",
    ["0175"] = "\\^w",
    ["0176"] = "\\^Y",
    ["0177"] = "\\^y",
    ["0178"] = '\\"Y',
    ["0179"] = "\\'Z",
    ["017A"] = "\\'z",
    ["017B"] = "\\.Z",
    ["017C"] = "\\.z",
    ["017D"] = "\\v Z",
    ["017E"] = "\\v z",
    ["0192"] = "\\textflorin",
    ["01C4"] = "D\\v Z",
    ["01C5"] = "D\\v z",
    ["01C6"] = "d\\v z",
    ["01C7"] = "LJ",
    ["01C8"] = "Lj",
    ["01C9"] = "lj",
    ["01CA"] = "NJ",
    ["01CB"] = "Nj",
    ["01CC"] = "nj",
    ["01CD"] = "\\v A",
    ["01CE"] = "\\v a",
    ["01CF"] = "\\v I",
    ["01D0"] = "\\v \\i",
    ["01D1"] = "\\v O",
    ["01D2"] = "\\v o",
    ["01D3"] = "\\v U",
    ["01D4"] = "\\v u",
    ["01E2"] = "\\=\\AE",
    ["01E3"] = "\\=\\ae",
    ["01E6"] = "\\v G",
    ["01E7"] = "\\v g",
    ["01E8"] = "\\v K",
    ["01E9"] = "\\v k",
    ["01EA"] = "\\k O",
    ["01EB"] = "\\k o",
    ["01F0"] = "\\v\\j",
    ["01F4"] = "\\'G",
    ["01F5"] = "\\'g",
    ["0218"] = "\\textcommabelow S",
    ["0219"] = "\\textcommabelow s",
    ["021A"] = "\\textcommabelow T",
    ["021B"] = "\\textcommabelow t",
    ["0232"] = "\\=Y",
    ["0233"] = "\\=y",
    ["0237"] = "\\j",
    ["02C6"] = "\\textasciicircum",
    ["02C7"] = "\\textasciicaron",
    ["02D8"] = "\\textasciibreve",
    ["02D9"] = "\\.{}",
    ["02DB"] = "\\k{}",
    ["02DC"] = "\\textasciitilde",
    ["02DD"] = "\\textacutedbl",
    ["0E3F"] = "\\textbaht",
    ["1E02"] = "\\.B",
    ["1E03"] = "\\.b",
    ["1E0D"] = "\\d d",
    ["1E1E"] = "\\.F",
    ["1E1F"] = "\\.f",
    ["1E20"] = "\\=G",
    ["1E21"] = "\\=g",
    ["1E25"] = "\\d h",
    ["1E30"] = "\\'K",
    ["1E31"] = "\\'k",
    ["1E37"] = "\\d l",
    ["1E43"] = "\\d m",
    ["1E45"] = "\\.n",
    ["1E47"] = "\\d n",
    ["1E5B"] = "\\d r",
    ["1E63"] = "\\d s",
    ["1E6D"] = "\\d t",
    ["1E8E"] = "\\.Y",
    ["1E8F"] = "\\.y",
    ["1E90"] = "\\^Z",
    ["1E91"] = "\\^z",
    ["1E9E"] = "\\SS",
    ["1EF2"] = "\\`Y",
    ["1EF3"] = "\\`y",
    ["2003"] = "\\quad",
    ["200C"] = "\\textcompwordmark",
    ["2010"] = "-",
    ["2011"] = "\\mbox{-}",
    ["2012"] = "\\textendash",
    ["2013"] = "\\textendash",
    ["2014"] = "\\textemdash",
    ["2015"] = "\\textemdash",
    ["2016"] = "\\textbardbl",
    ["2018"] = "\\textquoteleft",
    ["2019"] = "\\textquoteright",
    ["201A"] = "\\quotesinglbase",
    ["201C"] = "\\textquotedblleft",
    ["201D"] = "\\textquotedblright",
    ["201E"] = "\\quotedblbase",
    ["2020"] = "\\textdagger",
    ["2021"] = "\\textdaggerdbl",
    ["2022"] = "\\textbullet",
    ["2026"] = "\\textellipsis",
    ["2030"] = "\\textperthousand",
    ["2031"] = "\\textpertenthousand",
    ["2039"] = "\\guilsinglleft",
    ["203A"] = "\\guilsinglright",
    ["203B"] = "\\textreferencemark",
    ["203D"] = "\\textinterrobang",
    ["2044"] = "\\textfractionsolidus",
    ["204E"] = "\\textasteriskcentered",
    ["2052"] = "\\textdiscount",
    ["20A1"] = "\\textcolonmonetary",
    ["20A4"] = "\\textlira",
    ["20A6"] = "\\textnaira",
    ["20A9"] = "\\textwon",
    ["20AB"] = "\\textdong",
    ["20AC"] = "\\texteuro",
    ["20B1"] = "\\textpeso",
    ["2103"] = "\\textcelsius",
    ["2116"] = "\\textnumero",
    ["2117"] = "\\textcircledP",
    ["211E"] = "\\textrecipe",
    ["2120"] = "\\textservicemark",
    ["2122"] = "\\texttrademark",
    ["2126"] = "\\textohm",
    ["2127"] = "\\textmho",
    ["212E"] = "\\textestimated",
    ["2190"] = "\\textleftarrow",
    ["2191"] = "\\textuparrow",
    ["2192"] = "\\textrightarrow",
    ["2193"] = "\\textdownarrow",
    ["2329"] = "\\textlangle",
    ["232A"] = "\\textrangle",
    ["2422"] = "\\textblank",
    ["2423"] = "\\textvisiblespace",
    ["25E6"] = "\\textopenbullet",
    ["25EF"] = "\\textbigcircle",
    ["266A"] = "\\textmusicalnote",
    ["27E8"] = "\\textlangle",
    ["27E9"] = "\\textrangle",
    ["3008"] = "\\textlangle",
    ["3009"] = "\\textrangle",
    ["FB00"] = "ff",
    ["FB01"] = "fi",
    ["FB02"] = "fl",
    ["FB03"] = "ffi",
    ["FB04"] = "ffl",
    ["FB05"] = "st",
    ["FB06"] = "st",
    ["FEFF"] = "\\nobreak",
  },
  unicode_commands = {
    ['\\"'] = {
      code_point = "0308",
      composites = {
        A = "00C4",
        E = "00CB",
        I = "00CF",
        O = "00D6",
        U = "00DC",
        Y = "0178",
        ["\\i"] = "00EF",
        a = "00E4",
        e = "00EB",
        i = "00EF",
        o = "00F6",
        u = "00FC",
        y = "00FF",
      },
    },
    ["\\#"] = "0023",
    ["\\$"] = "0024",
    ["\\%"] = "0025",
    ["\\&"] = "0026",
    ["\\'"] = {
      code_point = "0301",
      composites = {
        A = "00C1",
        C = "0106",
        E = "00C9",
        G = "01F4",
        I = "00CD",
        K = "1E30",
        L = "0139",
        N = "0143",
        O = "00D3",
        R = "0154",
        S = "015A",
        U = "00DA",
        Y = "00DD",
        Z = "0179",
        ["\\AE"] = "01FC",
        ["\\ae"] = "01FD",
        ["\\i"] = "00ED",
        a = "00E1",
        c = "0107",
        e = "00E9",
        g = "01F5",
        i = "00ED",
        k = "1E31",
        l = "013A",
        n = "0144",
        o = "00F3",
        r = "0155",
        s = "015B",
        u = "00FA",
        y = "00FD",
        z = "017A",
        ["Æ"] = "01FC",
        ["æ"] = "01FD",
      },
    },
    ["\\-"] = "00AD",
    ["\\."] = {
      code_point = "0307",
      composites = {
        [""] = "02D9",
        B = "1E02",
        C = "010A",
        E = "0116",
        F = "1E1E",
        G = "0120",
        I = "0130",
        Y = "1E8E",
        Z = "017B",
        b = "1E03",
        c = "010B",
        e = "0117",
        f = "1E1F",
        g = "0121",
        n = "1E45",
        y = "1E8F",
        z = "017C",
      },
    },
    ["\\="] = {
      code_point = "0304",
      composites = {
        A = "0100",
        E = "0112",
        G = "1E20",
        I = "012A",
        O = "014C",
        U = "016A",
        Y = "0232",
        ["\\AE"] = "01E2",
        ["\\ae"] = "01E3",
        ["\\i"] = "012B",
        a = "0101",
        e = "0113",
        g = "1E21",
        i = "012B",
        o = "014D",
        u = "016B",
        y = "0233",
        ["Æ"] = "01E2",
        ["æ"] = "01E3",
      },
    },
    ["\\AA"] = "00C5",
    ["\\AE"] = "00C6",
    ["\\DH"] = "00D0",
    ["\\DJ"] = "0110",
    ["\\H"] = {
      code_point = "030B",
      composites = {
        O = "0150",
        U = "0170",
        o = "0151",
        u = "0171",
      },
    },
    ["\\Hwithstroke"] = "0126",
    ["\\IJ"] = "0132",
    ["\\L"] = "0141",
    ["\\NG"] = "014A",
    ["\\O"] = "00D8",
    ["\\OE"] = "0152",
    ["\\SS"] = "1E9E",
    ["\\TH"] = "00DE",
    ["\\^"] = {
      code_point = "0302",
      composites = {
        [""] = "005E",
        A = "00C2",
        C = "0108",
        E = "00CA",
        G = "011C",
        H = "0124",
        I = "00CE",
        J = "0134",
        O = "00D4",
        S = "015C",
        U = "00DB",
        W = "0174",
        Y = "0176",
        Z = "1E90",
        ["\\i"] = "00EE",
        ["\\j"] = "0135",
        a = "00E2",
        c = "0109",
        e = "00EA",
        g = "011D",
        h = "0125",
        i = "00EE",
        j = "0135",
        o = "00F4",
        s = "015D",
        u = "00FB",
        w = "0175",
        y = "0177",
        z = "1E91",
      },
    },
    ["\\_"] = "005F",
    ["\\`"] = {
      code_point = "0300",
      composites = {
        A = "00C0",
        E = "00C8",
        I = "00CC",
        O = "00D2",
        U = "00D9",
        Y = "1EF2",
        ["\\i"] = "00EC",
        a = "00E0",
        e = "00E8",
        i = "00EC",
        o = "00F2",
        u = "00F9",
        y = "1EF3",
      },
    },
    ["\\aa"] = "00E5",
    ["\\ae"] = "00E6",
    ["\\b"] = {
      code_point = "0332",
    },
    ["\\bgroup"] = "007B",
    ["\\c"] = {
      code_point = "0327",
      composites = {
        C = "00C7",
        G = "0122",
        K = "0136",
        L = "013B",
        N = "0145",
        R = "0156",
        S = "015E",
        T = "0162",
        ["\\ "] = "00B8",
        c = "00E7",
        g = "0123",
        k = "0137",
        l = "013C",
        n = "0146",
        r = "0157",
        s = "015F",
        t = "0163",
      },
    },
    ["\\d"] = {
      code_point = "0323",
      composites = {
        A = "1EA0",
        B = "1E04",
        D = "1E0C",
        E = "1EB8",
        H = "1E24",
        I = "1ECA",
        K = "1E32",
        L = "1E36",
        M = "1E42",
        N = "1E46",
        O = "1ECC",
        R = "1E5A",
        S = "1E62",
        T = "1E6C",
        U = "1EE4",
        V = "1E7E",
        W = "1E88",
        Y = "1EF4",
        Z = "1E92",
        a = "1EA1",
        b = "1E05",
        d = "1E0D",
        e = "1EB9",
        h = "1E25",
        i = "1ECB",
        k = "1E33",
        l = "1E37",
        m = "1E43",
        n = "1E47",
        o = "1ECD",
        r = "1E5B",
        s = "1E63",
        t = "1E6D",
        u = "1EE5",
        v = "1E7F",
        w = "1E89",
        y = "1EF5",
        z = "1E93",
      },
    },
    ["\\dh"] = "00F0",
    ["\\dj"] = "0111",
    ["\\egroup"] = "007D",
    ["\\guillemetleft"] = "00AB",
    ["\\guillemetright"] = "00BB",
    ["\\guillemotleft"] = "00AB",
    ["\\guillemotright"] = "00BB",
    ["\\guilsinglleft"] = "2039",
    ["\\guilsinglright"] = "203A",
    ["\\hwithstroke"] = "0127",
    ["\\i"] = "0131",
    ["\\ij"] = "0133",
    ["\\j"] = "0237",
    ["\\k"] = {
      code_point = "0328",
      composites = {
        [""] = "02DB",
        A = "0104",
        E = "0118",
        I = "012E",
        O = "01EA",
        U = "0172",
        ["\\i"] = "012F",
        a = "0105",
        e = "0119",
        i = "012F",
        o = "01EB",
        u = "0173",
      },
    },
    ["\\l"] = "0142",
    ["\\lbrack"] = "005B",
    ["\\lq"] = "2018",
    ["\\mbox"] = {
      composites = {
        ["-"] = "2011",
      },
    },
    ["\\ng"] = "014B",
    ["\\nobreak"] = "FEFF",
    ["\\nobreakspace"] = "00A0",
    ["\\o"] = "00F8",
    ["\\oe"] = "0153",
    ["\\quad"] = "2003",
    ["\\quotedblbase"] = "201E",
    ["\\quotesinglbase"] = "201A",
    ["\\r"] = {
      code_point = "030A",
      composites = {
        A = "00C5",
        U = "016E",
        a = "00E5",
        u = "016F",
      },
    },
    ["\\rbrack"] = "005D",
    ["\\rq"] = "2019",
    ["\\space"] = "0020",
    ["\\ss"] = "00DF",
    ["\\textacutedbl"] = "02DD",
    ["\\textasciiacute"] = "00B4",
    ["\\textasciibreve"] = "02D8",
    ["\\textasciicaron"] = "02C7",
    ["\\textasciicircum"] = "005E",
    ["\\textasciidieresis"] = "00A8",
    ["\\textasciimacron"] = "00AF",
    ["\\textasciitilde"] = "007E",
    ["\\textasteriskcentered"] = "204E",
    ["\\textbackslash"] = "005C",
    ["\\textbaht"] = "0E3F",
    ["\\textbar"] = "007C",
    ["\\textbardbl"] = "2016",
    ["\\textbigcircle"] = "25EF",
    ["\\textblank"] = "2422",
    ["\\textbraceleft"] = "007B",
    ["\\textbraceright"] = "007D",
    ["\\textbrokenbar"] = "00A6",
    ["\\textbullet"] = "2022",
    ["\\textcelsius"] = "2103",
    ["\\textcent"] = "00A2",
    ["\\textcircledP"] = "2117",
    ["\\textcolonmonetary"] = "20A1",
    ["\\textcommabelow"] = {
      composites = {
        S = "0218",
        T = "021A",
        s = "0219",
        t = "021B",
      },
    },
    ["\\textcompwordmark"] = "200C",
    ["\\textcopyright"] = "00A9",
    ["\\textcurrency"] = "00A4",
    ["\\textdagger"] = "2020",
    ["\\textdaggerdbl"] = "2021",
    ["\\textdegree"] = "00B0",
    ["\\textdiscount"] = "2052",
    ["\\textdiv"] = "00F7",
    ["\\textdivorced"] = "26AE",
    ["\\textdollar"] = "0024",
    ["\\textdong"] = "20AB",
    ["\\textdownarrow"] = "2193",
    ["\\textellipsis"] = "2026",
    ["\\textemdash"] = "2014",
    ["\\textendash"] = "2013",
    ["\\textestimated"] = "212E",
    ["\\texteuro"] = "20AC",
    ["\\textexclamdown"] = "00A1",
    ["\\textflorin"] = "0192",
    ["\\textfractionsolidus"] = "2044",
    ["\\textgravedbl"] = "02F5",
    ["\\textgreater"] = "003E",
    ["\\textinterrobang"] = "203D",
    ["\\textinterrobangdown"] = "2E18",
    ["\\textlangle"] = "2329",
    ["\\textleftarrow"] = "2190",
    ["\\textless"] = "003C",
    ["\\textlira"] = "20A4",
    ["\\textlnot"] = "00AC",
    ["\\textlquill"] = "2045",
    ["\\textmarried"] = "26AD",
    ["\\textmho"] = "2127",
    ["\\textminus"] = "2212",
    ["\\textmu"] = "00B5",
    ["\\textmusicalnote"] = "266A",
    ["\\textnaira"] = "20A6",
    ["\\textnumero"] = "2116",
    ["\\textohm"] = "2126",
    ["\\textonehalf"] = "00BD",
    ["\\textonequarter"] = "00BC",
    ["\\textonesuperior"] = "00B9",
    ["\\textopenbullet"] = "25E6",
    ["\\textordfeminine"] = "00AA",
    ["\\textordmasculine"] = "00BA",
    ["\\textparagraph"] = "00B6",
    ["\\textperiodcentered"] = "00B7",
    ["\\textpertenthousand"] = "2031",
    ["\\textperthousand"] = "2030",
    ["\\textpeso"] = "20B1",
    ["\\textpm"] = "00B1",
    ["\\textquestiondown"] = "00BF",
    ["\\textquotedblleft"] = "201C",
    ["\\textquotedblright"] = "201D",
    ["\\textquoteleft"] = "2018",
    ["\\textquoteright"] = "2019",
    ["\\textrangle"] = "232A",
    ["\\textrecipe"] = "211E",
    ["\\textreferencemark"] = "203B",
    ["\\textregistered"] = "00AE",
    ["\\textrightarrow"] = "2192",
    ["\\textrquill"] = "2046",
    ["\\textsection"] = "00A7",
    ["\\textservicemark"] = "2120",
    ["\\textsterling"] = "00A3",
    ["\\textsurd"] = "221A",
    ["\\textthreequarters"] = "00BE",
    ["\\textthreesuperior"] = "00B3",
    ["\\texttildelow"] = "02F7",
    ["\\texttimes"] = "00D7",
    ["\\texttrademark"] = "2122",
    ["\\texttwosuperior"] = "00B2",
    ["\\textunderscore"] = "005F",
    ["\\textuparrow"] = "2191",
    ["\\textvisiblespace"] = "2423",
    ["\\textwon"] = "20A9",
    ["\\textyen"] = "00A5",
    ["\\th"] = "00FE",
    ["\\u"] = {
      code_point = "0306",
      composites = {
        A = "0102",
        E = "0114",
        G = "011E",
        I = "012C",
        O = "014E",
        U = "016C",
        ["\\i"] = "012D",
        a = "0103",
        e = "0115",
        g = "011F",
        i = "012D",
        o = "014F",
        u = "016D",
      },
    },
    ["\\v"] = {
      code_point = "030C",
      composites = {
        A = "01CD",
        C = "010C",
        D = "010E",
        E = "011A",
        G = "01E6",
        I = "01CF",
        K = "01E8",
        L = "013D",
        N = "0147",
        O = "01D1",
        R = "0158",
        S = "0160",
        T = "0164",
        U = "01D3",
        Z = "017D",
        ["\\i"] = "01D0",
        ["\\j"] = "01F0",
        a = "01CE",
        c = "010D",
        d = "010F",
        e = "011B",
        g = "01E7",
        i = "01D0",
        j = "01F0",
        k = "01E9",
        l = "013E",
        n = "0148",
        o = "01D2",
        r = "0159",
        s = "0161",
        t = "0165",
        u = "01D4",
        z = "017E",
      },
    },
    ["\\{"] = "007B",
    ["\\}"] = "007D",
    ["\\~"] = {
      code_point = "0303",
      composites = {
        [""] = "007E",
        A = "00C3",
        I = "0128",
        N = "00D1",
        O = "00D5",
        U = "0168",
        ["\\i"] = "0129",
        a = "00E3",
        i = "0129",
        n = "00F1",
        o = "00F5",
        u = "0169",
      },
    },
  },
}
